Index: /palm/trunk/SCRIPTS/.mrun.config.default
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.default	(revision 254)
+++ /palm/trunk/SCRIPTS/.mrun.config.default	(revision 255)
@@ -71,19 +71,19 @@
 # List of input-files
 #----------------------------------------------------------------------------
-PARIN                    in:job        d3#   $base_data/$fname/INPUT    _p3d
-PARIN                    in:job        d3f   $base_data/$fname/INPUT    _p3df
-TOPOGRAPHY_DATA          in:locopt     d3#   $base_data/$fname/INPUT    _topo
-BININ                    in:loc:flpe   d3f   $base_data/$fname/RESTART  _d3d
-PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf  $base_data/$fname/RESTART  _rprt
-DATA_1D_PR_NETCDF        in:locopt     prf   $base_data/$fname/OUTPUT   _pr     nc
-DATA_1D_SP_NETCDF        in:locopt     spf   $base_data/$fname/OUTPUT   _sp     nc
-DATA_1D_TS_NETCDF        in:locopt     tsf   $base_data/$fname/OUTPUT   _ts     nc
-DATA_1D_PTS_NETCDF       in:locopt     ptsf  $base_data/$fname/OUTPUT   _pts    nc
-DATA_2D_XY_NETCDF        in:locopt     xyf   $base_data/$fname/OUTPUT   _xy     nc
-DATA_2D_XY_AV_NETCDF     in:locopt     xyf   $base_data/$fname/OUTPUT   _xy_av  nc
-DATA_2D_XZ_NETCDF        in:locopt     xzf   $base_data/$fname/OUTPUT   _xz     nc
-DATA_2D_YZ_NETCDF        in:locopt     yzf   $base_data/$fname/OUTPUT   _yz     nc
-DATA_3D_NETCDF           in:locopt     3df   $base_data/$fname/OUTPUT   _3d     nc
-DATA_PRT_NETCDF          in:locopt:pe  prtf  $base_data/$fname/OUTPUT   _prt
+PARIN                    in:job        d3#      $base_data/$fname/INPUT    _p3d
+PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
+TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
+PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
+DATA_1D_PR_NETCDF        in:locopt     prf      $base_data/$fname/OUTPUT   _pr     nc
+DATA_1D_SP_NETCDF        in:locopt     spf      $base_data/$fname/OUTPUT   _sp     nc
+DATA_1D_TS_NETCDF        in:locopt     tsf      $base_data/$fname/OUTPUT   _ts     nc
+DATA_1D_PTS_NETCDF       in:locopt     ptsf     $base_data/$fname/OUTPUT   _pts    nc
+DATA_2D_XY_NETCDF        in:locopt     xyf      $base_data/$fname/OUTPUT   _xy     nc
+DATA_2D_XY_AV_NETCDF     in:locopt     xyf      $base_data/$fname/OUTPUT   _xy_av  nc
+DATA_2D_XZ_NETCDF        in:locopt     xzf      $base_data/$fname/OUTPUT   _xz     nc
+DATA_2D_YZ_NETCDF        in:locopt     yzf      $base_data/$fname/OUTPUT   _yz     nc
+DATA_3D_NETCDF           in:locopt     3df      $base_data/$fname/OUTPUT   _3d     nc
+DATA_PRT_NETCDF          in:locopt:pe  prtf     $base_data/$fname/OUTPUT   _prt
 #
 #----------------------------------------------------------------------------
Index: /palm/trunk/SCRIPTS/.mrun.config.riam
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.riam	(revision 254)
+++ /palm/trunk/SCRIPTS/.mrun.config.riam	(revision 255)
@@ -73,19 +73,19 @@
 # List of input-files
 #----------------------------------------------------------------------------
-PARIN                    in:job        d3#   $base_data/$fname/INPUT    _p3d
-PARIN                    in:job        d3f   $base_data/$fname/INPUT    _p3df
-TOPOGRAPHY_DATA          in:locopt     d3#   $base_data/$fname/INPUT    _topo
-BININ                    in:loc:flpe   d3f   $base_data/$fname/RESTART  _d3d
-PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf  $base_data/$fname/RESTART  _rprt
-DATA_1D_PR_NETCDF        in:locopt     prf   $base_data/$fname/OUTPUT   _pr     nc
-DATA_1D_SP_NETCDF        in:locopt     spf   $base_data/$fname/OUTPUT   _sp     nc
-DATA_1D_TS_NETCDF        in:locopt     tsf   $base_data/$fname/OUTPUT   _ts     nc
-DATA_1D_PTS_NETCDF       in:locopt     ptsf  $base_data/$fname/OUTPUT   _pts    nc
-DATA_2D_XY_NETCDF        in:locopt     xyf   $base_data/$fname/OUTPUT   _xy     nc
-DATA_2D_XY_AV_NETCDF     in:locopt     xyf   $base_data/$fname/OUTPUT   _xy_av  nc
-DATA_2D_XZ_NETCDF        in:locopt     xzf   $base_data/$fname/OUTPUT   _xz     nc
-DATA_2D_YZ_NETCDF        in:locopt     yzf   $base_data/$fname/OUTPUT   _yz     nc
-DATA_3D_NETCDF           in:locopt     3df   $base_data/$fname/OUTPUT   _3d     nc
-DATA_PRT_NETCDF          in:locopt:pe  prtf  $base_data/$fname/OUTPUT   _prt
+PARIN                    in:job        d3#      $base_data/$fname/INPUT    _p3d
+PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
+TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
+PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
+DATA_1D_PR_NETCDF        in:locopt     prf      $base_data/$fname/OUTPUT   _pr     nc
+DATA_1D_SP_NETCDF        in:locopt     spf      $base_data/$fname/OUTPUT   _sp     nc
+DATA_1D_TS_NETCDF        in:locopt     tsf      $base_data/$fname/OUTPUT   _ts     nc
+DATA_1D_PTS_NETCDF       in:locopt     ptsf     $base_data/$fname/OUTPUT   _pts    nc
+DATA_2D_XY_NETCDF        in:locopt     xyf      $base_data/$fname/OUTPUT   _xy     nc
+DATA_2D_XY_AV_NETCDF     in:locopt     xyf      $base_data/$fname/OUTPUT   _xy_av  nc
+DATA_2D_XZ_NETCDF        in:locopt     xzf      $base_data/$fname/OUTPUT   _xz     nc
+DATA_2D_YZ_NETCDF        in:locopt     yzf      $base_data/$fname/OUTPUT   _yz     nc
+DATA_3D_NETCDF           in:locopt     3df      $base_data/$fname/OUTPUT   _3d     nc
+DATA_PRT_NETCDF          in:locopt:pe  prtf     $base_data/$fname/OUTPUT   _prt
 #
 #----------------------------------------------------------------------------