Index: palm/trunk/DOC/app/chapter_4.1.html
===================================================================
--- palm/trunk/DOC/app/chapter_4.1.html	(revision 255)
+++ palm/trunk/DOC/app/chapter_4.1.html	(revision 256)
@@ -14355,5 +14355,5 @@
  </span><font color="#000000">
 Alternatively, the user may add code to the user interface subroutine <a href="chapter_3.5.1.html#user_init_grid">user_init_grid</a>
-to allow further topography modes. </font>These require to explicitly set the<span style="font-weight: bold;"> </span><a href="chapter_4.3.html#topography_grid_convention">topography_grid_convention</a>&nbsp;to either <span style="font-style: italic;">'cell_edge'</span> or <span style="font-style: italic;">'cell_center'</span>.<br>
+to allow further topography modes. </font>These require to explicitly set the<span style="font-weight: bold;"> </span><a href="#topography_grid_convention">topography_grid_convention</a>&nbsp;to either <span style="font-style: italic;">'cell_edge'</span> or <span style="font-style: italic;">'cell_center'</span>.<br>
 
       <font color="#000000">
@@ -14426,5 +14426,13 @@
 
 
- <tr>
+ <tr><td style="vertical-align: top;"><a name="topography_grid_convention"></a><span style="font-weight: bold;">topography_grid_</span><br style="font-weight: bold;"><span style="font-weight: bold;">convention</span></td><td style="vertical-align: top;">C*11</td><td style="vertical-align: top;"><span style="font-style: italic;">default depends on value of <a href="chapter_4.1.html#topography">topography</a>; see text for details</span></td><td>Convention for defining the&nbsp;topography grid.<br><br>Possible values are<br><ul><li><span style="font-style: italic;">'cell_edge':&nbsp;</span>the distance between cell edges defines the extent of topography. This setting is normally for <span style="font-style: italic;">generic topographies</span>, i.e. topographies that are constructed using length parameters. For example, <a href="chapter_4.1.html#topography">topography</a> = <span style="font-style: italic;">'single_building'</span> is constructed using <a href="chapter_4.1.html#building_length_x">building_length_x</a> and <a href="chapter_4.1.html#building_length_y">building_length_y</a>.
+The advantage of this setting is that the actual size of generic
+topography is independent of the grid size, provided that the length
+parameters are an integer multiple of the grid lengths&nbsp;<a href="chapter_4.1.html#dx">dx</a> and&nbsp;<a href="chapter_4.1.html#dy">dy</a>. This is convenient&nbsp;for resolution parameter studies.</li><li><span style="font-style: italic;">'cell_center'</span><span style="font-style: italic;">:&nbsp;</span>the number of topography cells define the extent of topography. This setting is normally for <span style="font-style: italic;">rastered real topographies</span> derived from digital elevation models.&nbsp;For example, <a href="chapter_4.1.html#topography">topography</a> = <span style="font-style: italic;">'read_from_file'</span> is constructed using&nbsp;the input file <a href="chapter_3.4.html#TOPOGRAPHY_DATA">TOPOGRAPHY_DATA</a><font color="#000000">.&nbsp;</font>The
+advantage of this setting is that the&nbsp;rastered topography cells of
+the input file are directly mapped to topography grid boxes in PALM. <span style="font-style: italic;"></span></li></ul>The example files&nbsp;<big><code>example_topo_file</code></big> and&nbsp;<big><code>example_building</code></big> in <big><code>trunk/EXAMPLES/</code></big>
+illustrate the difference between
+both approaches. Both examples simulate a single building and yield the
+same results. The former uses a rastered topography input file with <span style="font-style: italic;">'cell_center'</span> convention, the latter applies a generic topography with <span style="font-style: italic;">'cell_edge'</span> convention.<br><br>The default value is<br><ul><li><span style="font-style: italic;">'cell_edge' </span>if <a href="chapter_4.1.html#topography">topography</a> = <span style="font-style: italic;">'single_building'</span> or <span style="font-style: italic;">'single_street_canyon'</span>,</li><li><span style="font-style: italic;">'cell_center'</span><span style="font-style: italic;"></span> if <a href="chapter_4.1.html#topography">topography</a> = <span style="font-style: italic;">'read_from_file'</span>,</li><li><span style="font-style: italic;">none (' '</span> ) otherwise, leading to an abort if&nbsp;<span style="font-weight: bold;">topography_grid_convention</span> is not set.</li></ul>This means that <br><ul><li>For PALM simulations using a <span style="font-style: italic;">user-defined topography</span>, the<span style="font-weight: bold;"> topography_grid_convention</span> must be explicitly set to either <span style="font-style: italic;">'cell_edge'</span> or <span style="font-style: italic;">'cell_center'</span>.</li><li>For PALM simulations using a <span style="font-style: italic;">standard topography</span> <span style="font-style: italic;">('single_building'</span>, <span style="font-style: italic;">'single_street_canyon'</span> or <span style="font-style: italic;">'read_from_file')</span>, it is possible but not required to set the&nbsp; <span style="font-weight: bold;">topography_grid_convention</span> because appropriate default values apply.</li></ul></td></tr><tr>
 
 
Index: palm/trunk/DOC/app/chapter_4.3.html
===================================================================
--- palm/trunk/DOC/app/chapter_4.3.html	(revision 255)
+++ palm/trunk/DOC/app/chapter_4.3.html	(revision 256)
@@ -55,13 +55,5 @@
 (1) to <b>region</b> (9)), the total domain has the index
 0 (<b>region</b>
-(0)).</p> </td> </tr><tr><td style="vertical-align: top;"><a name="topography_grid_convention"></a><span style="font-weight: bold;">topography_grid_</span><br style="font-weight: bold;"><span style="font-weight: bold;">convention</span></td><td style="vertical-align: top;">C*11</td><td style="vertical-align: top;"><span style="font-style: italic;">default depends on value of <a href="chapter_4.1.html#topography">topography</a>; see text for details</span><span style="font-style: italic;"></span></td><td style="vertical-align: top;">Convention for defining the&nbsp;topography grid.<br><br>Possible values are<br><ul><li><span style="font-style: italic;">'cell_edge':&nbsp;</span>the distance between cell edges defines the extent of topography. This setting is normally for <span style="font-style: italic;">generic topographies</span>, i.e. topographies that are constructed using length parameters. For example, <a href="chapter_4.1.html#topography">topography</a> = <span style="font-style: italic;">'single_building'</span> is constructed using <a href="chapter_4.1.html#building_length_x">building_length_x</a> and <a href="chapter_4.1.html#building_length_y">building_length_y</a>.
-The advantage of this setting is that the actual size of generic
-topography is independent of the grid size, provided that the length
-parameters are an integer multiple of the grid lengths&nbsp;<a href="chapter_4.1.html#dx">dx</a> and&nbsp;<a href="chapter_4.1.html#dy">dy</a>. This is convenient&nbsp;for resolution parameter studies.</li><li><span style="font-style: italic;">'cell_center'</span><span style="font-style: italic;">:&nbsp;</span>the number of topography cells define the extent of topography. This setting is normally for <span style="font-style: italic;">rastered real topographies</span> derived from digital elevation models.&nbsp;For example, <a href="chapter_4.1.html#topography">topography</a> = <span style="font-style: italic;">'read_from_file'</span> is constructed using&nbsp;the input file <a href="chapter_3.4.html#TOPOGRAPHY_DATA">TOPOGRAPHY_DATA</a><font color="#000000">.&nbsp;</font>The
-advantage of this setting is that the&nbsp;rastered topography cells of
-the input file are directly mapped to topography grid boxes in PALM. <span style="font-style: italic;"></span></li></ul>The example files&nbsp;<big><code>example_topo_file</code></big> and&nbsp;<big><code>example_building</code></big> in <big><code>trunk/EXAMPLES/</code></big>
-illustrate the difference between
-both approaches. Both examples simulate a single building and yield the
-same results. The former uses a rastered topography input file with <span style="font-style: italic;">'cell_center'</span> convention, the latter applies a generic topography with <span style="font-style: italic;">'cell_edge'</span> convention.<br><br>The default value is<br><ul><li><span style="font-style: italic;">'cell_edge' </span>if <a href="chapter_4.1.html#topography">topography</a> = <span style="font-style: italic;">'single_building'</span> or <span style="font-style: italic;">'single_street_canyon'</span>,</li><li><span style="font-style: italic;">'cell_center'</span><span style="font-style: italic;"></span> if <a href="chapter_4.1.html#topography">topography</a> = <span style="font-style: italic;">'read_from_file'</span>,</li><li><span style="font-style: italic;">none (' '</span> ) otherwise, leading to an abort if&nbsp;<span style="font-weight: bold;">topography_grid_convention</span> is not set.</li></ul>This means that <br><ul><li>For PALM simulations using a <span style="font-style: italic;">user-defined topography</span>, the<span style="font-weight: bold;"> topography_grid_convention</span> must be explicitly set to either <span style="font-style: italic;">'cell_edge'</span> or <span style="font-style: italic;">'cell_center'</span>.</li><li>For PALM simulations using a <span style="font-style: italic;">standard topography</span> <span style="font-style: italic;">('single_building'</span>, <span style="font-style: italic;">'single_street_canyon'</span> or <span style="font-style: italic;">'read_from_file')</span>, it is possible but not required to set the&nbsp; <span style="font-weight: bold;">topography_grid_convention</span> because appropriate default values apply.</li></ul></td></tr> </tbody>
+(0)).</p> </td> </tr> </tbody>
 </table><p style="line-height: 200%;">&nbsp; <br>
 &nbsp; </p>
Index: palm/trunk/DOC/app/chapter_4.6.html
===================================================================
--- palm/trunk/DOC/app/chapter_4.6.html	(revision 255)
+++ palm/trunk/DOC/app/chapter_4.6.html	(revision 256)
@@ -13789,5 +13789,5 @@
 
 
- <tr><td style="vertical-align: top;"><a style="font-weight: bold;" href="chapter_4.3.html#topography_grid_convention">topography_grid_convention</a></td><td style="vertical-align: top;">U</td><td style="vertical-align: top;">C * 11</td><td><span style="font-style: italic;">default depends on value of <a href="chapter_4.1.html#topography">topography</a>; see text for details</span><span style="font-style: italic;"></span></td><td style="vertical-align: top;">Convention for defining the&nbsp;topography grid.</td></tr><tr>
+ <tr><td style="vertical-align: top;"><a style="font-weight: bold;" href="chapter_4.1.html#topography_grid_convention">topography_grid_convention</a></td><td style="vertical-align: top;">I</td><td style="vertical-align: top;">C * 11</td><td><span style="font-style: italic;">default depends on value of <a href="chapter_4.1.html#topography">topography</a>; see text for details</span><span style="font-style: italic;"></span></td><td style="vertical-align: top;">Convention for defining the&nbsp;topography grid.</td></tr><tr>
 
 
Index: palm/trunk/DOC/tec/message_identifiers
===================================================================
--- palm/trunk/DOC/tec/message_identifiers	(revision 255)
+++ palm/trunk/DOC/tec/message_identifiers	(revision 256)
@@ -373,11 +373,9 @@
     PA0237           multigrid gather/scatter impossible in non parallel mode
     PA0238           more than 10 multigrid levels
-    
-
-    UI0001           The value for "topography_grid_convention" is not set. 
+    PA0239           The value for "topography_grid_convention" is not set. 
                       Its default value is only valid for 
                       "topography" = ''single_building'', 
                       ''single_street_canyon'' or ''read_from_file'' 
                       Choose ''cell_edge'' or ''cell_center''.
-    UI0002           The value for "topography_grid_convention" is not 
+    PA0240           The value for "topography_grid_convention" is not 
                       recognized. Choose ''cell_edge'' or ''cell_center''.
Index: palm/trunk/EXAMPLES/building/example_building_p3d
===================================================================
--- palm/trunk/EXAMPLES/building/example_building_p3d	(revision 255)
+++ palm/trunk/EXAMPLES/building/example_building_p3d	(revision 256)
@@ -15,4 +15,5 @@
 
          topography = 'single_building',
+         topography_grid_convention = 'cell_edge',  ! default
          building_height   = 40.0,
          building_length_x = 40.0,
@@ -49,6 +50,2 @@
          data_output = 'u',       'v',       'w',
                        'u_av',    'v_av',    'w_av',  /
-
- &userpar 
-         topography_grid_convention = 'cell_edge',  /
-                ! this is the default for topography = 'single_building'
Index: palm/trunk/EXAMPLES/constant_flux_layer/example_constant_flux_layer_p3d
===================================================================
--- palm/trunk/EXAMPLES/constant_flux_layer/example_constant_flux_layer_p3d	(revision 255)
+++ palm/trunk/EXAMPLES/constant_flux_layer/example_constant_flux_layer_p3d	(revision 256)
@@ -20,4 +20,5 @@
 
          topography = 'single_building',
+         topography_grid_convention = 'cell_edge',  ! default
          building_height   = 40.0,
          building_length_x = 40.0,
@@ -54,6 +55,2 @@
          data_output = 'u',       'v',       'w',
                        'u_av',    'v_av',    'w_av',  /
-
- &userpar 
-         topography_grid_convention = 'cell_edge',  /
-                ! this is the default for topography = 'single_building'
Index: palm/trunk/EXAMPLES/topo_file/example_topo_file_p3d
===================================================================
--- palm/trunk/EXAMPLES/topo_file/example_topo_file_p3d	(revision 255)
+++ palm/trunk/EXAMPLES/topo_file/example_topo_file_p3d	(revision 256)
@@ -15,4 +15,5 @@
 
          topography = 'read_from_file',
+         topography_grid_convention = 'cell_center',  ! default
 
          surface_heatflux = 0.0,               ! strictly neutral simulation
@@ -46,6 +47,2 @@
          data_output = 'u',       'v',       'w',
                        'u_av',    'v_av',    'w_av',  /
-
- &userpar 
-         topography_grid_convention = 'cell_center',  /
-                ! this is the default for topography = 'read_from_file'
Index: palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 255)
+++ palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 256)
@@ -26,5 +26,9 @@
 First constant in array den also defined as type double. (eqn_state_seawater)
 
-advec_particles, advec_s_bc, buoyancy, calc_spectra, check_for_restart, check_open, coriolis, cpu_log, data_output_2d, data_output_3d, data_output_dvrp, data_output_profiles, data_output_spectra,  eqn_state_seawater, fft_xy, flow_statistics, header, init_1d_model, init_3d_model, init_dvrp, init_grid, init_particles, init_pegrid, sort_particles
+topography_grid_convention moved from userpar to inipar (check_parameters,
+header, parin, read_var_list, user_check_parameters, user_header, 
+user_init_grid, user_parin, write_var_list)
+
+advec_particles, advec_s_bc, buoyancy, calc_spectra, check_for_restart, check_open, check_parameters, coriolis, cpu_log, data_output_2d, data_output_3d, data_output_dvrp, data_output_profiles, data_output_spectra,  eqn_state_seawater, fft_xy, flow_statistics, header, init_1d_model, init_3d_model, init_dvrp, init_grid, init_particles, init_pegrid, parin, read_var_list, sort_particles, user_check_parameters, user_header, user_init_grid, user_parin, write_var_list
 
 
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 255)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 256)
@@ -6,4 +6,6 @@
 ! Bugfix: pressure included for profile output
 ! Check pressure gradient conditions
+! topography_grid_convention moved from user_check_parameters
+! 'single_street_canyon'
 !
 ! Former revisions:
@@ -324,4 +326,40 @@
           CALL message( 'check_parameters', 'PA0014', 1, 2, 0, 6, 0 )
        ENDIF
+!
+!--    In case of non-flat topography, check whether the convention how to 
+!--    define the topography grid has been set correctly, or whether the default
+!--    is applicable. If this is not possible, abort.
+       IF ( TRIM( topography_grid_convention ) == ' ' )  THEN
+          IF ( TRIM( topography ) /= 'single_building' .AND.  &
+               TRIM( topography ) /= 'single_street_canyon' .AND.  &
+               TRIM( topography ) /= 'read_from_file' )  THEN
+!--          The default value is not applicable here, because it is only valid
+!--          for the two standard cases 'single_building' and 'read_from_file'
+!--          defined in init_grid.
+             WRITE( message_string, * )  &
+                  'The value for "topography_grid_convention" ',  &
+                  'is not set. Its default value is & only valid for ',  &
+                  '"topography" = ''single_building'', ',  &
+                  '''single_street_canyon'' & or ''read_from_file''.',  &
+                  ' & Choose ''cell_edge'' or ''cell_center''.'
+             CALL message( 'user_check_parameters', 'PA0239', 1, 2, 0, 6, 0 )
+          ELSE
+!--          The default value is applicable here.
+!--          Set convention according to topography.
+             IF ( TRIM( topography ) == 'single_building' .OR.  &
+                  TRIM( topography ) == 'single_street_canyon' )  THEN
+                topography_grid_convention = 'cell_edge'
+             ELSEIF ( TRIM( topography ) == 'read_from_file' )  THEN
+                topography_grid_convention = 'cell_center'
+             ENDIF
+          ENDIF
+       ELSEIF ( TRIM( topography_grid_convention ) /= 'cell_edge' .AND.  &
+                TRIM( topography_grid_convention ) /= 'cell_center' )  THEN
+          WRITE( message_string, * )  &
+               'The value for "topography_grid_convention" is ', &
+               'not recognized. & Choose ''cell_edge'' or ''cell_center''.'
+          CALL message( 'user_check_parameters', 'PA0240', 1, 2, 0, 6, 0 )
+       ENDIF
+
     ENDIF
 
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 255)
+++ palm/trunk/SOURCE/header.f90	(revision 256)
@@ -9,4 +9,5 @@
 ! canyon_wall_south, conserve_volume_flow_mode, dp_external, dp_level_b, 
 ! dp_smooth, dpdxy, u_bulk, v_bulk
+! topography_grid_convention moved from user_header
 !
 ! Former revisions:
@@ -425,4 +426,19 @@
 
     END SELECT
+
+    IF ( TRIM( topography ) /= 'flat' )  THEN
+       IF ( TRIM( topography_grid_convention ) == ' ' )  THEN
+          IF ( TRIM( topography ) == 'single_building' .OR.  &
+               TRIM( topography ) == 'single_street_canyon' )  THEN
+             WRITE ( io, 278 )
+          ELSEIF ( TRIM( topography ) == 'read_from_file' )  THEN
+             WRITE ( io, 279 )
+          ENDIF
+       ELSEIF ( TRIM( topography_grid_convention ) == 'cell_edge' )  THEN
+          WRITE ( io, 278 )
+       ELSEIF ( TRIM( topography_grid_convention ) == 'cell_center' )  THEN
+          WRITE ( io, 279 )
+       ENDIF
+    ENDIF
 
     IF ( plant_canopy ) THEN
@@ -1459,4 +1475,9 @@
               ' Canyon height: ', F6.2, 'm, ch = ', I4, '.'      / &
               ' Canyon position (',A,'-walls): cxl = ', I4,', cxr = ', I4, '.')
+278 FORMAT (' Topography grid definition convention:'/ &
+            ' cell edge (staggered grid points'/  &
+            ' (u in x-direction, v in y-direction))' /)
+279 FORMAT (' Topography grid definition convention:'/ &
+            ' cell center (scalar grid points)' /)
 280 FORMAT (//' Vegetation canopy (drag) model:'/ &
               ' ------------------------------'// &
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 255)
+++ palm/trunk/SOURCE/parin.f90	(revision 256)
@@ -7,4 +7,5 @@
 ! canyon_wall_south, conserve_volume_flow_mode, dp_external, dp_level_b, 
 ! dp_smooth, dpdxy, u_bulk, v_bulk in inipar
+! topography_grid_convention moved from userpar
 !
 ! Former revisions:
@@ -117,5 +118,6 @@
              surface_waterflux, s_surface, s_surface_initial_change, &
              s_vertical_gradient, s_vertical_gradient_level, timestep_scheme, &
-             topography, top_heatflux, top_momentumflux_u, top_momentumflux_v, &
+             topography, topography_grid_convention, top_heatflux, &
+             top_momentumflux_u, top_momentumflux_v, &
              top_salinityflux, turbulent_inflow, ug_surface, &
              ug_vertical_gradient, ug_vertical_gradient_level, u_bulk, &
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 255)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 256)
@@ -6,5 +6,5 @@
 ! +canyon_height, canyon_width_x, canyon_width_y, canyon_wall_left, 
 ! canyon_wall_south, conserve_volume_flow_mode, dp_external, dp_level_b, 
-! dp_smooth, dpdxy, u_bulk, v_bulk
+! dp_smooth, dpdxy, topography_grid_convention, u_bulk, v_bulk
 !
 ! Former revisions:
@@ -499,4 +499,6 @@
           CASE ( 'topography' )
              READ ( 13 )  topography
+          CASE ( 'topography_grid_convention' )
+             READ ( 13 )  topography_grid_convention
           CASE ( 'top_heatflux' )
              READ ( 13 )  top_heatflux
Index: palm/trunk/SOURCE/user_check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/user_check_parameters.f90	(revision 255)
+++ palm/trunk/SOURCE/user_check_parameters.f90	(revision 256)
@@ -4,6 +4,4 @@
 ! Actual revisions:
 ! -----------------
-! add default topography_grid_convention for the new topography case 
-! 'single_street_canyon'
 !
 ! Former revisions:
@@ -25,42 +23,4 @@
 
 !
-!-- In case of non-flat topography, check whether the convention how to 
-!-- define the topography grid has been set correctly, or whether the default
-!-- is applicable. If this is not possible, abort.
-    IF ( TRIM( topography ) /= 'flat' )  THEN
-       IF ( TRIM( topography_grid_convention ) == ' ' )  THEN
-          IF ( TRIM( topography ) /= 'single_building' .AND.  &
-               TRIM( topography ) /= 'single_street_canyon' .AND.  &
-               TRIM( topography ) /= 'read_from_file' )  THEN
-!--          The default value is not applicable here, because it is only valid
-!--          for the two standard cases 'single_building' and 'read_from_file'
-!--          defined in init_grid.
-             WRITE( message_string, * )  &
-                  'The value for "topography_grid_convention" ',  &
-                  'is not set. Its default value is & only valid for ',  &
-                  '"topography" = ''single_building'', ',  &
-                  '''single_street_canyon'' & or ''read_from_file''.',  &
-                  ' & Choose ''cell_edge'' or ''cell_center''.'
-             CALL message( 'user_check_parameters', 'UI0001', 1, 2, 0, 6, 0 )
-          ELSE
-!--          The default value is applicable here.
-!--          Set convention according to topography.
-             IF ( TRIM( topography ) == 'single_building' .OR.  &
-                  TRIM( topography ) == 'single_street_canyon' )  THEN
-                topography_grid_convention = 'cell_edge'
-             ELSEIF ( TRIM( topography ) == 'read_from_file' )  THEN
-                topography_grid_convention = 'cell_center'
-             ENDIF
-          ENDIF
-       ELSEIF ( TRIM( topography_grid_convention ) /= 'cell_edge' .AND.  &
-                TRIM( topography_grid_convention ) /= 'cell_center' )  THEN
-          WRITE( message_string, * )  &
-               'The value for "topography_grid_convention" is ', &
-               'not recognized. & Choose ''cell_edge'' or ''cell_center''.'
-          CALL message( 'user_check_parameters', 'UI0002', 1, 2, 0, 6, 0 )
-       ENDIF
-    ENDIF
-
-!
 !-- Here the user may add code to check the validity of further &userpar 
 !-- control parameters or deduce further quantities.
Index: palm/trunk/SOURCE/user_header.f90
===================================================================
--- palm/trunk/SOURCE/user_header.f90	(revision 255)
+++ palm/trunk/SOURCE/user_header.f90	(revision 256)
@@ -5,4 +5,5 @@
 ! -----------------
 ! new topography case 'single_street_canyon'
+! topography_grid_convention moved to header
 !
 ! Former revisions:
@@ -46,20 +47,4 @@
     ENDIF
 
-    IF ( TRIM( topography ) /= 'flat' )  THEN
-       WRITE ( io, 300 )
-       IF ( TRIM( topography_grid_convention ) == ' ' )  THEN
-          IF ( TRIM( topography ) == 'single_building' .OR.  &
-               TRIM( topography ) == 'single_street_canyon' )  THEN
-             WRITE ( io, 301 )
-          ELSEIF ( TRIM( topography ) == 'read_from_file' )  THEN
-             WRITE ( io, 302 )
-          ENDIF
-       ELSEIF ( TRIM( topography_grid_convention ) == 'cell_edge' )  THEN
-          WRITE ( io, 301 )
-       ELSEIF ( TRIM( topography_grid_convention ) == 'cell_center' )  THEN
-          WRITE ( io, 302 )
-       ENDIF
-    ENDIF
-
 !
 !-- Format-descriptors
@@ -70,8 +55,4 @@
 200 FORMAT (' Output of profiles and time series for following regions:' /)
 201 FORMAT (4X,'Region ',I1,':   ',A)
-300 FORMAT (' Topography grid definition convention:'/)
-301 FORMAT (' cell edge (staggered grid points'/  &
-            ' (u in x-direction, v in y-direction))' /)
-302 FORMAT (' cell center (scalar grid points)' /)
 
 
Index: palm/trunk/SOURCE/user_init_grid.f90
===================================================================
--- palm/trunk/SOURCE/user_init_grid.f90	(revision 255)
+++ palm/trunk/SOURCE/user_init_grid.f90	(revision 256)
@@ -5,4 +5,5 @@
 ! -----------------
 ! add 'single_street_canyon' as standard topography case
+! -topography_grid_convention
 !
 ! Former revisions:
@@ -45,13 +46,5 @@
        CASE ( 'user_defined_topography_1' )
 !
-!--       Here the user can define his own topography. 
-
-!
-!--       For each user-defined topography, the topography grid convention has 
-!--       to be explicitly set to either 'cell_edge' or 'cell_center'.
-!--       topography_grid_convention = 'cell_edge'     ! OR:
-!--       topography_grid_convention = 'cell_center'
-
-!
+!--       Here the user can define his own topography.
 !--       After definition, please remove the following three lines!
           PRINT*, '+++ user_init_grid: topography "', &
Index: palm/trunk/SOURCE/user_parin.f90
===================================================================
--- palm/trunk/SOURCE/user_parin.f90	(revision 255)
+++ palm/trunk/SOURCE/user_parin.f90	(revision 256)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! 
+! topography_grid_convention moved to inipar
 !
 ! Former revisions:
@@ -31,6 +31,5 @@
 
 
-    NAMELIST /userpar/  data_output_pr_user, data_output_user, region,  &
-                        topography_grid_convention
+    NAMELIST /userpar/  data_output_pr_user, data_output_user, region
 
 !
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 255)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 256)
@@ -6,5 +6,5 @@
 ! +canyon_height, canyon_width_x, canyon_width_y, canyon_wall_left, 
 ! canyon_wall_south, conserve_volume_flow_mode, dp_external, dp_level_b, 
-! dp_smooth, dpdxy, u_bulk, v_bulk
+! dp_smooth, dpdxy, topography_grid_convention, u_bulk, v_bulk
 !
 ! Former revisions:
@@ -423,4 +423,6 @@
     WRITE ( 14 )  'topography                    '
     WRITE ( 14 )  topography
+    WRITE ( 14 )  'topography_grid_convention    '
+    WRITE ( 14 )  topography_grid_convention
     WRITE ( 14 )  'top_heatflux                  '
     WRITE ( 14 )  top_heatflux