Index: /palm/trunk/DOC/app/chapter_4.2.html
===================================================================
--- /palm/trunk/DOC/app/chapter_4.2.html	(revision 261)
+++ /palm/trunk/DOC/app/chapter_4.2.html	(revision 262)
@@ -9903,5 +9903,5 @@
 
 
-      <td style="vertical-align: top;"><span style="font-style: italic;">1</span><br>
+      <td style="vertical-align: top;"><span style="font-style: italic;">100</span><br>
 
 
Index: /palm/trunk/DOC/app/chapter_4.6.html
===================================================================
--- /palm/trunk/DOC/app/chapter_4.6.html	(revision 261)
+++ /palm/trunk/DOC/app/chapter_4.6.html	(revision 262)
@@ -12361,5 +12361,5 @@
 
 
- <td><span style="font-style: italic;">1</span></td>
+ <td><span style="font-style: italic;">100</span></td>
 
 
Index: /palm/trunk/SCRIPTS/mrun
===================================================================
--- /palm/trunk/SCRIPTS/mrun	(revision 261)
+++ /palm/trunk/SCRIPTS/mrun	(revision 262)
@@ -3262,11 +3262,30 @@
           printf "\n  *** dvr server with id=$dvrserver_id has been stopped"
 
-             # add the current dvr configuration file to the dvr output
-             # directory
-          cp  .dvrserver.config  DATA_DVR
-
-             # process the dvr output (option -s for generating sequence mode
-             # data)
-          process_dvr_output  -d DATA_DVR  -f $fname  -s
+             # If there is a directory, data have been output by the
+             # streaming server. Otherwise, user has chosen dvrp_output=local
+          if [[ -d DATA_DVR ]]
+          then
+
+                # Add the current dvr configuration file to the dvr output
+                # directory
+             cp  .dvrserver.config  DATA_DVR
+
+                # Process the dvr output (option -s for also generating
+                # sequence mode data)
+             process_dvr_output  -d DATA_DVR  -f $fname  -s
+
+          else
+
+                # Process the local output
+             process_dvr_output  -l  -d DATA_DVR  -f $fname
+
+          fi
+
+       elif [[ $(echo $package_list | grep -c dvrp_graphics) != 0 ]]
+       then
+
+             # Process dvr output generated in local mode (dvrp_output=local)
+          process_dvr_output  -l  -d DATA_DVR  -f $fname
+
        fi
     fi
Index: /palm/trunk/SCRIPTS/process_dvr_output
===================================================================
--- /palm/trunk/SCRIPTS/process_dvr_output	(revision 261)
+++ /palm/trunk/SCRIPTS/process_dvr_output	(revision 262)
@@ -12,10 +12,12 @@
 
 
-    # variable declarations + default values
+    # Variable declarations + default values
  camera=false
  create_sequence_output=false
  data_catalog=`pwd`
+ dvrp_output=rtsp
  file_identifier=all_streams
  groundplate=false
+ palm_run_identifier=""
  topography=false
 
@@ -23,13 +25,14 @@
 
 
-    # read shellscript options
- while  getopts  :d:f:s option
+    # Read shellscript options
+ while  getopts  :d:f:ls option
  do
    case  $option  in
        (d)   data_catalog=$OPTARG;;
        (f)   file_identifier=$OPTARG;;
+       (l)   dvrp_output=local;;
        (s)   create_sequence_output=true;;
        (\?)  printf "\n  +++ unknown option $OPTARG \n"
-             printf "\n      allowed option are -d and -f \n"
+             printf "\n      allowed option are -d, -f, -l, -s \n"
              exit;;
    esac
@@ -37,164 +40,287 @@
 
 
-    # change to the given directory
- cd $data_catalog
-
-
-    # find out the number of streams
- (( i = 0 ))
- while true
- do
-    (( i = i + 1 ))
-    if (( i < 10 ))
-    then
-       cstream=0$i
+    # Find out the PALM run identifier
+ if [[ -f CPU_MEASURES ]]
+ then
+    palm_run_identifier=`head -1  CPU_MEASURES`
+ fi
+
+    # Process the streaming server output
+ if [[ $dvrp_output = rtsp ]]
+ then
+
+       # Change to the given directory
+    cd $data_catalog
+
+
+       # Find out the number of streams
+    (( i = 0 ))
+    while true
+    do
+       (( i = i + 1 ))
+       if (( i < 10 ))
+       then
+          cstream=0$i
+       else
+          cstream=$i
+       fi
+
+       if [[ $(ls -1 *.* | grep -c $cstream) = 0 ]]
+       then
+          (( i = i - 1 ))
+          break
+       fi
+
+          # find out the stream name
+       streamname[$i]=`ls -1 ${cstream}_*-ge.dvrs | cut -f1 -d"-"`
+
+          # get addres
+       adr[$i]=`grep ADR= ${streamname[$i]}.dvrs | grep '*' | cut -f2 -d"="`
+
+          # get maxbytes
+       maxbytes[$i]=`head -1 ${streamname[$i]}.max`
+
+          # get number of frames
+       frames[$i]=`tail -1 ${streamname[$i]}.max`
+
+    done
+
+    nstream=$i
+    nscenes=$nstream
+
+
+       # Check, if there are files containing the camera data, the ground plate
+       # and topography data.
+       # Check the first stream only, because all streams have the same files.
+    if [[ -f ${streamname[1]}_camera.max ]]
+    then
+       camera=true
+       adr_camera=`grep ADR= ${streamname[1]}.dvrs | grep 'camera' | cut -f2 -d"="`
+       maxbytes_camera=`head -1 ${streamname[1]}_camera.max`
+       (( nscenes = nscenes + 1 ))
+    fi
+    if [[ -f ${streamname[1]}_groundplate.max ]]
+    then
+       groundplate=true
+       adr_groundplate=`echo $adr_camera | sed "s/camera/groundplate/g"`
+       maxbytes_groundplate=`head -1 ${streamname[1]}_groundplate.max`
+       (( nscenes = nscenes + 1 ))
+    fi
+    if [[ -f ${streamname[1]}_topography.max ]]
+    then
+       topography=true
+       adr_topography=`echo $adr_camera | sed "s/camera/topography/g"`
+       maxbytes_topography=`head -1 ${streamname[1]}_topography.max`
+       (( nscenes = nscenes + 1 ))
+    fi
+
+
+
+       # Start with writing the dvrs file for the combined streams
+    dvr_file=${file_identifier}_streaming.dvrs
+
+    echo  "SCENES=$nscenes"  >  $dvr_file
+
+       # First, add the static scenes
+    if [[ $camera = true ]]
+    then
+       echo  "MED=TCP"                    >>  $dvr_file
+       echo  "ADR=$adr_camera"            >>  $dvr_file
+       echo  "MAXBYTES=$maxbytes_camera"  >>  $dvr_file
+       echo  "FRAMES=1"                   >>  $dvr_file
+       echo  "FRAMES_P_SEC=0"             >>  $dvr_file
+       echo  "SCENEEND"                   >>  $dvr_file
+    fi
+
+    if [[ $groundplate = true ]]
+    then
+       echo  "MED=TCP"                         >>  $dvr_file
+       echo  "ADR=$adr_groundplate"            >>  $dvr_file
+       echo  "MAXBYTES=$maxbytes_groundplate"  >>  $dvr_file
+       echo  "FRAMES=1"                        >>  $dvr_file
+       echo  "FRAMES_P_SEC=0"                  >>  $dvr_file
+       echo  "SCENEEND"                        >>  $dvr_file
+    fi
+
+    if [[ $topography = true ]]
+    then
+       echo  "MED=TCP"                        >>  $dvr_file
+       echo  "ADR=$adr_topography"            >>  $dvr_file
+       echo  "MAXBYTES=$maxbytes_topography"  >>  $dvr_file
+       echo  "FRAMES=1"                       >>  $dvr_file
+       echo  "FRAMES_P_SEC=0"                 >>  $dvr_file
+       echo  "SCENEEND"                       >>  $dvr_file
+    fi
+
+
+       # Now add the streams
+    (( i = 0 ))
+    while (( i < nstream ))
+    do
+
+       (( i = i + 1 ))
+
+       echo  "MED=TCP"                   >>  $dvr_file
+       echo  "ADR=${adr[$i]}"            >>  $dvr_file
+       echo  "MAXBYTES=${maxbytes[$i]}"  >>  $dvr_file
+       echo  "FRAMES=${frames[$i]}"      >>  $dvr_file
+       echo  "FRAMES_P_SEC=25"           >>  $dvr_file
+       echo  "SCENEEND"                  >>  $dvr_file
+
+    done
+
+
+       # Change path to the current file identifier
+    sed  "s/DATA_DVR/${file_identifier}_dvr/g"  $dvr_file > tmp_file
+    mv  tmp_file  $dvr_file
+
+
+       # If there is a dvr configuration file, set the BASEDIR to the parent
+       # directory of the above given path
+    if [[ -f .dvrserver.config ]]
+    then
+       old_path=`grep  BASEDIR  .dvrserver.config`
+       sed  "s&${old_path}&BASEDIR=..&g"  .dvrserver.config  >  .dvrserver.config.new
+       mv  .dvrserver.config.new  .dvrserver.config
+    fi
+
+
+       # Create the html file for the combined streames
+    cp  01_*-ge.html  tmp.html
+    replace=$(echo `grep src= tmp.html`)
+    sed "s&${replace}&src=\"${file_identifier}_streaming.dvrs\"&g" tmp.html > tmp1.html
+    if [[ "$palm_run_identifier" = "" ]]
+    then
+       cp  tmp1.html  ${file_identifier}_streaming.html
     else
-       cstream=$i
-    fi
-
-    if [[ $(ls -1 *.* | grep -c $cstream) = 0 ]]
-    then
-       (( i = i - 1 ))
-       break
-    fi
-
-       # find out the stream name
-    streamname[$i]=`ls -1 ${cstream}_*-ge.dvrs | cut -f1 -d"-"`
-
-       # get addres
-    adr[$i]=`grep ADR= ${streamname[$i]}.dvrs | grep '*' | cut -f2 -d"="`
-
-       # get maxbytes
-    maxbytes[$i]=`head -1 ${streamname[$i]}.max`
-
-       # get number of frames
-    frames[$i]=`tail -1 ${streamname[$i]}.max`
-
- done
-
- nstream=$i
- nscenes=$nstream
-
-
-    # Check, if there are files containing the camera data, the ground plate
-    # and topography data.
-    # Check the first stream only, because all streams have the same files.
- if [[ -f ${streamname[1]}_camera.max ]]
- then
-    camera=true
-    adr_camera=`grep ADR= ${streamname[1]}.dvrs | grep 'camera' | cut -f2 -d"="`
-    maxbytes_camera=`head -1 ${streamname[1]}_camera.max`
-    (( nscenes = nscenes + 1 ))
+       sed "s&DATA_DVR/${streamname[1]}/\*\*\*\*\*.dvr (DVR 3D Streaming)&DVR 3D streaming generated by $palm_run_identifier&g"  tmp1.html  >  ${file_identifier}_streaming.html
+    fi
+    rm  tmp.html  tmp1.html
+
+
+       # Informative messages
+    printf "\n\n  *** processing dvr stream output:"
+    printf "\n      number of detected streams = $nstream"
+    printf "\n      stream names:"
+
+    (( i = 0 ))
+    while (( i < nstream ))
+    do
+
+       (( i = i + 1 ))
+       printf " ${streamname[$i]}"
+
+    done
+    printf "\n"
+
+
+ else
+
+       # This is the branch for local output (dvrp_output=local).
+       # Find out the number of streams.
+    (( i = 0 ))
+    while true
+    do
+
+       (( i = i + 1 ))
+       if (( i < 10 ))
+       then
+          cstream=0$i
+       else
+          cstream=$i
+       fi
+
+       if [[ $(ls -1 *.* | grep -c ${cstream}_) = 0 ]]
+       then
+          (( i = i - 1 ))
+          break
+       fi
+
+          # find out the stream name
+       streamname[$i]=`ls -1 ${cstream}_*.camera.dvr | cut -f1 -d"."`
+
+    done
+
+       # Exit, if there are no streams.
+    [[ $i = 0 ]]  &&  exit
+
+    nstream=$i
+
+    mkdir -p  ${data_catalog}/sequence_data
+
+
+       # First, merge static scenes into one file
+    if [[ -f ${streamname[1]}.camera.dvr ]]
+    then
+       cat  ${streamname[1]}.camera.dvr  >>  ${data_catalog}/sequence_data/static_scenes.dvr
+    fi
+
+    if [[ -f ${streamname[1]}.groundplate.dvr ]]
+    then
+       cat  ${streamname[1]}.groundplate.dvr  >>  ${data_catalog}/sequence_data/static_scenes.dvr
+    fi
+
+    if [[ -f ${streamname[1]}.topography.dvr ]]
+    then
+       cat  ${streamname[1]}.topography.dvr  >>  ${data_catalog}/sequence_data/static_scenes.dvr
+    fi
+
+
+       # Find out the number of frames
+    frames[1]=`grep sequence ${streamname[1]}_00000.html | cut -f2 -d";" | cut -f1 -d'"' | cut -f2 -d"-"`
+
+
+       # Now, merge the data, frame by frame
+    (( j = 0 ))
+    while (( j < ${frames[1]} ))
+    do
+
+       nframe=`printf "%05d" $j`
+
+       (( i = 0 ))
+       while (( i < nstream ))
+       do
+          (( i = i + 1 ))
+          cat  ${streamname[$i]}_$nframe.dvr  >>  ${data_catalog}/sequence_data/$nframe.dvr
+       done
+
+       (( j = j + 1 ))
+
+    done
+
+
+       # Create the html file to be used for the sequence mode
+    cp  ${streamname[1]}_00000.html  tmp1.html
+    sed  "s&${streamname[1]}_camera.dvr&sequence_data/static_scenes.dvr&g"  tmp1.html  >  tmp2.html
+    sed  "s&${streamname[1]}_&sequence_data/&g"  tmp2.html  >  tmp3.html
+    if [[ "$palm_run_identifier" = "" ]]
+    then
+       cp  tmp3.html  ${file_identifier}_sequence.html
+    else
+       sed "s&sequence_data/%05d.dvr (DVR 3D Sequence)&DVR 3D sequence generated by $palm_run_identifier&g"  tmp3.html  >  ${file_identifier}_sequence.html
+    fi
+    rm  tmp1.html  tmp2.html  tmp3.html
+    mv  ${file_identifier}_sequence.html  ${data_catalog}
+
+
+       # Informative messages
+    printf "\n\n  *** processing dvr local output (using dvrp_output=local):"
+    printf "\n      number of detected streams = $nstream"
+    printf "\n      stream names:"
+
+    (( i = 0 ))
+    while (( i < nstream ))
+    do
+
+       (( i = i + 1 ))
+       printf " ${streamname[$i]}"
+
+    done
+    printf "\n"
+
  fi
- if [[ -f ${streamname[1]}_groundplate.max ]]
- then
-    groundplate=true
-    adr_groundplate=`echo $adr_camera | sed "s/camera/groundplate/g"`
-    maxbytes_groundplate=`head -1 ${streamname[1]}_groundplate.max`
-    (( nscenes = nscenes + 1 ))
- fi
- if [[ -f ${streamname[1]}_topography.max ]]
- then
-    topography=true
-    adr_topography=`echo $adr_camera | sed "s/camera/topography/g"`
-    maxbytes_topography=`head -1 ${streamname[1]}_topography.max`
-    (( nscenes = nscenes + 1 ))
- fi
-
-
-
-    # start with writing the dvrs file for the combined streams
- dvr_file=${file_identifier}_streaming.dvrs
-
- echo  "SCENES=$nscenes"  >  $dvr_file
-
-    # first, add the static scenes
- if [[ $camera = true ]]
- then
-    echo  "MED=TCP"                    >>  $dvr_file
-    echo  "ADR=$adr_camera"            >>  $dvr_file
-    echo  "MAXBYTES=$maxbytes_camera"  >>  $dvr_file
-    echo  "FRAMES=1"                   >>  $dvr_file
-    echo  "FRAMES_P_SEC=0"             >>  $dvr_file
-    echo  "SCENEEND"                   >>  $dvr_file
- fi
-
- if [[ $groundplate = true ]]
- then
-    echo  "MED=TCP"                         >>  $dvr_file
-    echo  "ADR=$adr_groundplate"            >>  $dvr_file
-    echo  "MAXBYTES=$maxbytes_groundplate"  >>  $dvr_file
-    echo  "FRAMES=1"                        >>  $dvr_file
-    echo  "FRAMES_P_SEC=0"                  >>  $dvr_file
-    echo  "SCENEEND"                        >>  $dvr_file
- fi
-
- if [[ $topography = true ]]
- then
-    echo  "MED=TCP"                        >>  $dvr_file
-    echo  "ADR=$adr_topography"            >>  $dvr_file
-    echo  "MAXBYTES=$maxbytes_topography"  >>  $dvr_file
-    echo  "FRAMES=1"                       >>  $dvr_file
-    echo  "FRAMES_P_SEC=0"                 >>  $dvr_file
-    echo  "SCENEEND"                       >>  $dvr_file
- fi
-
-
-     # now add the streams
- (( i = 0 ))
- while (( i < nstream ))
- do
-
-    (( i = i + 1 ))
-
-    echo  "MED=TCP"                   >>  $dvr_file
-    echo  "ADR=${adr[$i]}"            >>  $dvr_file
-    echo  "MAXBYTES=${maxbytes[$i]}"  >>  $dvr_file
-    echo  "FRAMES=${frames[$i]}"      >>  $dvr_file
-    echo  "FRAMES_P_SEC=25"           >>  $dvr_file
-    echo  "SCENEEND"                  >>  $dvr_file
-
- done
-
-
-    # change path to the current file identifier
- sed  "s/DATA_DVR/${file_identifier}_dvr/g"  $dvr_file > tmp_file
- mv  tmp_file  $dvr_file
-
-
-    # if there is a dvr configuration file, set the BASEDIR to the parent
-    # directory of the above given path
- if [[ -f .dvrserver.config ]]
- then
-    old_path=`grep  BASEDIR  .dvrserver.config`
-    sed  "s&${old_path}&BASEDIR=..&g"  .dvrserver.config  >  .dvrserver.config.new
-    mv  .dvrserver.config.new  .dvrserver.config
- fi
-
-
-    # create the html file for the combined streames
- cp  01_*-ge.html  tmp.html
- replace=$(echo `grep src= tmp.html`)
- sed "s&${replace}&src=\"${file_identifier}_streaming.dvrs\"&g" tmp.html > ${file_identifier}_streaming.html
- rm tmp.html
-
-
-    # informative messages
- printf "\n\n  *** processing local dvr stream output:"
- printf "\n      number of detected streams = $nstream"
- printf "\n      stream names:"
-
- (( i = 0 ))
- while (( i < nstream ))
- do
-
-    (( i = i + 1 ))
-    printf " ${streamname[$i]}"
-
- done
- printf "\n"
-
-
-    # create output for viewing dvr data in sequence mode
+
+
+    # Create output for viewing dvr data in sequence mode
  if [[ $create_sequence_output = true ]]
  then
@@ -202,5 +328,5 @@
     mkdir  sequence_data
 
-       # first, merge static scenes into one file
+       # First, merge static scenes into one file
     if [[ $camera = true ]]
     then
@@ -219,5 +345,5 @@
 
 
-       # now, merge the data, frame by frame
+       # Now, merge the data, frame by frame
     (( j = 0 ))
     while (( j < ${frames[1]} ))
@@ -238,9 +364,15 @@
 
 
-       # create the html file to be used for the sequence mode
+       # Create the html file to be used for the sequence mode
     cp  ${streamname[1]}.html  tmp1.html
     sed  "s/camera.dvr/static_scenes.dvr/g"  tmp1.html  >  tmp2.html
-    sed  "s&${streamname[1]}&sequence_data&g"  tmp2.html  >  ${file_identifier}_sequence.html
-    rm  tmp1.html  tmp2.html
+    sed  "s&${streamname[1]}&sequence_data&g"  tmp2.html  >  tmp3.html
+    if [[ "$palm_run_identifier" = "" ]]
+    then
+       cp  tmp3.html  ${file_identifier}_sequence.html
+    else
+       sed "s&DATA_DVR/sequence_data/\*\*\*\*\*.dvr (DVR 3D Sequence)&DVR 3D sequence generated by $palm_run_identifier&g"  tmp3.html  >  ${file_identifier}_sequence.html
+    fi
+    rm  tmp1.html  tmp2.html  tmp3.html
 
     printf "      data for using sequence mode generated"
@@ -250,4 +382,4 @@
 
 
-    # change back to directory from where script has been called
- cd - > /dev/null
+    # Change back to directory from where script has been called
+ cd - > /dev/null  2>&1
Index: /palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- /palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 261)
+++ /palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 262)
@@ -45,4 +45,7 @@
 ------
 
+Bugfix: error in check, if particles moved further than one subdomain length.
+This check must not be applied for newly released particles. (advec_particles)
+
 Bugfix: several tail counters are initialized, particle_tail_coordinates is
 only written to file if its third index is > 0, arrays for tails are allocated
Index: /palm/trunk/SOURCE/advec_particles.f90
===================================================================
--- /palm/trunk/SOURCE/advec_particles.f90	(revision 261)
+++ /palm/trunk/SOURCE/advec_particles.f90	(revision 262)
@@ -5,4 +5,6 @@
 ! -----------------
 ! Output of messages replaced by message handling routine
+! Bugfix: error in check, if particles moved further than one subdomain length.
+!         This check must not be applied for newly released particles
 ! Bugfix: several tail counters are initialized, particle_tail_coordinates is
 ! only written to file if its third index is > 0
@@ -3066,12 +3068,14 @@
 !
 !--       Stop if particles have moved further than the length of one 
-!--       PE subdomain
-          IF ( ABS(particles(n)%speed_x) >                                  & 
-               ((nxr-nxl+2)*dx)/(particles(n)%age-particles(n)%age_m)  .OR. &
-               ABS(particles(n)%speed_y) >                                  &
-               ((nyn-nys+2)*dy)/(particles(n)%age-particles(n)%age_m) )  THEN
-
-               WRITE( message_string, * )  'particle too fast.  n = ',  n 
-               CALL message( 'advec_particles', 'PA0148', 2, 2, 0, 6, 0 )
+!--       PE subdomain (newly released particles have age = age_m!)
+          IF ( particles(n)%age /= particles(n)%age_m )  THEN
+             IF ( ABS(particles(n)%speed_x) >                                  &
+                  ((nxr-nxl+2)*dx)/(particles(n)%age-particles(n)%age_m)  .OR. &
+                  ABS(particles(n)%speed_y) >                                  &
+                  ((nyn-nys+2)*dy)/(particles(n)%age-particles(n)%age_m) )  THEN
+
+                  WRITE( message_string, * )  'particle too fast.  n = ',  n 
+                  CALL message( 'advec_particles', 'PA0148', 2, 2, 0, 6, 0 )
+             ENDIF
           ENDIF
 
Index: /palm/trunk/SOURCE/data_output_dvrp.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_dvrp.f90	(revision 261)
+++ /palm/trunk/SOURCE/data_output_dvrp.f90	(revision 262)
@@ -32,5 +32,6 @@
 ! Current revisions:
 ! -----------------
-! Output of messages replaced by message handling routine.
+! Clipping of dvr-output implemented,
+! output of messages replaced by message handling routine.
 ! TEST: different colours for isosurfaces
 !
@@ -167,9 +168,9 @@
 !--       number of particles and tails to be plotted; otherwise, all
 !--       particles/tails are plotted. dvrp_mask is used to mark the partikles.
-          IF ( .NOT. use_particle_tails )  THEN
+!          IF ( .NOT. use_particle_tails )  THEN
              ALLOCATE( dvrp_mask(number_of_particles) )
-          ELSE
-             ALLOCATE( dvrp_mask(number_of_tails*maximum_number_of_tailpoints) )
-          ENDIF
+!          ELSE
+!             ALLOCATE( dvrp_mask(number_of_tails*maximum_number_of_tailpoints) )
+!          ENDIF
           dvrp_mask = .TRUE.
           IF ( dvrp_total_overlap )  THEN
@@ -202,5 +203,5 @@
                             dvrp_not = dvrp_not + 1
                          ELSE
-                            dvrp_mask(k) = .FALSE.
+                            dvrp_mask(n) = .FALSE.
                          ENDIF
                       ENDIF
@@ -532,7 +533,8 @@
              CALL DVRP_DATA( m-1, local_pf, 1, nx_dvrp, ny_dvrp, nz_dvrp, &
                              cyclic_dvrp, cyclic_dvrp, cyclic_dvrp )
-!             CALL DVRP_SLICER( m-1, section_mode, slicer_position )
-             tmp_pos = 1.0
-             CALL DVRP_SLICER( m-1, 2, tmp_pos )
+             tmp_pos = slicer_position
+             CALL DVRP_SLICER( m-1, section_mode, tmp_pos )
+!             tmp_pos = 1.0
+!             CALL DVRP_SLICER( m-1, 2, tmp_pos )
              WRITE (9,*) 'nx_dvrp=', nx_dvrp
              WRITE (9,*) 'ny_dvrp=', ny_dvrp